/*
 *
 * Copyright (C) 2007-2013 Licensed to the Comunes Association (CA) under
 * one or more contributor license agreements (see COPYRIGHT for details).
 * The CA licenses this file to you under the GNU Affero General Public
 * License version 3, (the "License"); you may not use this file except in
 * compliance with the License. This file is part of kune.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package cc.kune.common.client.shortcuts;

// TODO: Auto-generated Javadoc
/**
 * The Class Keyboard.
 *
 * @author vjrj@ourproject.org (Vicente J. Ruiz Jurado)
 */
public final class Keyboard {

  /** The Constant MODIFIER_SHIFT. */
  public final static int MODIFIER_SHIFT = 1;
  
  /** The Constant MODIFIER_CTRL. */
  public final static int MODIFIER_CTRL = 2;
  
  /** The Constant MODIFIER_ALT. */
  public final static int MODIFIER_ALT = 4;
  
  /** The Constant MODIFIER_META. */
  public final static int MODIFIER_META = 8;

  /** The Constant KEY_F1. */
  @Deprecated
  public final static int KEY_F1 = 112; /* Browser's help */
  
  /** The Constant KEY_F2. */
  public final static int KEY_F2 = 113;
  
  /** The Constant KEY_F3. */
  public final static int KEY_F3 = 114;
  
  /** The Constant KEY_F4. */
  public final static int KEY_F4 = 115;
  
  /** The Constant KEY_F5. */
  @Deprecated
  public final static int KEY_F5 = 116; /* Refresh in browsers */
  
  /** The Constant KEY_F6. */
  public final static int KEY_F6 = 117;
  
  /** The Constant KEY_F7. */
  @Deprecated
  public final static int KEY_F7 = 118; /* Turn of caret in ff */
  
  /** The Constant KEY_F8. */
  public final static int KEY_F8 = 119;
  
  /** The Constant KEY_F9. */
  public final static int KEY_F9 = 120;
  
  /** The Constant KEY_F10. */
  public final static int KEY_F10 = 121;
  
  /** The Constant KEY_F11. */
  @Deprecated
  public final static int KEY_F11 = 122; /* Full screen */
  
  /** The Constant KEY_F12. */
  public final static int KEY_F12 = 123;

  /** The Constant KEY_COMMA. */
  public final static int KEY_COMMA = ',';
  
  /** The Constant KEY_MINUS. */
  public final static int KEY_MINUS = '-';
  
  /** The Constant KEY_PERIOD. */
  public final static int KEY_PERIOD = '.';
  
  /** The Constant KEY_SLASH. */
  public final static int KEY_SLASH = '/';
  
  /** The Constant KEY_0. */
  public final static int KEY_0 = '0';
  
  /** The Constant KEY_1. */
  public final static int KEY_1 = '1';
  
  /** The Constant KEY_2. */
  public final static int KEY_2 = '2';
  
  /** The Constant KEY_3. */
  public final static int KEY_3 = '3';
  
  /** The Constant KEY_4. */
  public final static int KEY_4 = '4';
  
  /** The Constant KEY_5. */
  public final static int KEY_5 = '5';
  
  /** The Constant KEY_6. */
  public final static int KEY_6 = '6';
  
  /** The Constant KEY_7. */
  public final static int KEY_7 = '7';
  
  /** The Constant KEY_8. */
  public final static int KEY_8 = '8';
  
  /** The Constant KEY_9. */
  public final static int KEY_9 = '9';
  
  /** The Constant KEY_SEMICOLON. */
  public final static int KEY_SEMICOLON = ';';
  
  /** The Constant KEY_EQUALS. */
  public final static int KEY_EQUALS = '=';
  
  /** The Constant KEY_A. */
  public final static int KEY_A = 'A';
  
  /** The Constant KEY_B. */
  public final static int KEY_B = 'B';
  
  /** The Constant KEY_C. */
  public final static int KEY_C = 'C';
  
  /** The Constant KEY_D. */
  public final static int KEY_D = 'D';
  
  /** The Constant KEY_E. */
  public final static int KEY_E = 'E';
  
  /** The Constant KEY_F. */
  public final static int KEY_F = 'F';
  
  /** The Constant KEY_G. */
  public final static int KEY_G = 'G';
  
  /** The Constant KEY_H. */
  public final static int KEY_H = 'H';
  
  /** The Constant KEY_I. */
  public final static int KEY_I = 'I';
  
  /** The Constant KEY_J. */
  public final static int KEY_J = 'J';
  
  /** The Constant KEY_K. */
  public final static int KEY_K = 'K';
  
  /** The Constant KEY_L. */
  public final static int KEY_L = 'L';
  
  /** The Constant KEY_M. */
  public final static int KEY_M = 'M';
  
  /** The Constant KEY_N. */
  public final static int KEY_N = 'N';
  
  /** The Constant KEY_O. */
  public final static int KEY_O = 'O';
  
  /** The Constant KEY_P. */
  public final static int KEY_P = 'P';
  
  /** The Constant KEY_Q. */
  public final static int KEY_Q = 'Q';
  
  /** The Constant KEY_R. */
  public final static int KEY_R = 'R';
  
  /** The Constant KEY_S. */
  public final static int KEY_S = 'S';
  
  /** The Constant KEY_T. */
  public final static int KEY_T = 'T';
  
  /** The Constant KEY_U. */
  public final static int KEY_U = 'U';
  
  /** The Constant KEY_V. */
  public final static int KEY_V = 'V';
  
  /** The Constant KEY_W. */
  public final static int KEY_W = 'W';
  
  /** The Constant KEY_X. */
  public final static int KEY_X = 'X';
  
  /** The Constant KEY_Y. */
  public final static int KEY_Y = 'Y';
  
  /** The Constant KEY_Z. */
  public final static int KEY_Z = 'Z';
  
  /** The Constant KEY_SPACE. */
  public final static int KEY_SPACE = ' ';
  
  /** The Constant KEY_OPEN_BRACKET. */
  public final static int KEY_OPEN_BRACKET = '[';
  
  /** The Constant KEY_BACK_SLASH. */
  public final static int KEY_BACK_SLASH = '\\';
  
  /** The Constant KEY_CLOSE_BRACKET. */
  public final static int KEY_CLOSE_BRACKET = ']';

  /**
   * Instantiates a new keyboard.
   */
  private Keyboard() {
  }

}
