/*
 *
 * Copyright (C) 2007-2013 Licensed to the Comunes Association (CA) under
 * one or more contributor license agreements (see COPYRIGHT for details).
 * The CA licenses this file to you under the GNU Affero General Public
 * License version 3, (the "License"); you may not use this file except in
 * compliance with the License. This file is part of kune.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package cc.kune.core.client.resources;

import cc.kune.common.client.resources.CommonResources;

import com.google.gwt.resources.client.CssResource;
import com.google.gwt.resources.client.ImageResource;

// TODO: Auto-generated Javadoc
/**
 * The Interface CoreResources.
 *
 * @author vjrj@ourproject.org (Vicente J. Ruiz Jurado)
 */
public interface CoreResources extends CommonResources {
  
  /**
   * The Interface CoreStyle.
   *
   * @author vjrj@ourproject.org (Vicente J. Ruiz Jurado)
   */
  public interface CoreStyle extends CssResource {
    
    /**
     * Loading spiner.
     *
     * @return the string
     */
    String loadingSpiner();
  }

  /**
   * Accept now not used.
   *
   * @return the image resource
   */
  @Source("accept.png")
  ImageResource acceptNowNotUsed();

  /**
   * Adds the participant.
   *
   * @return the image resource
   */
  @Source("icons/add-participant.png")
  ImageResource addParticipant();

  /**
   * Anybody.
   *
   * @return the image resource
   */
  @Source("anybody.png")
  ImageResource anybody();

  /**
   * Arrowdown.
   *
   * @return the image resource
   */
  @Source("arrowdown.png")
  ImageResource arrowdown();

  /**
   * Arrow down black.
   *
   * @return the image resource
   */
  @Source("arrow-down-black.gif")
  ImageResource arrowDownBlack();

  /**
   * Arrowdownsitebar.
   *
   * @return the image resource
   */
  @Source("arrowdownsitebar.gif")
  ImageResource arrowdownsitebar();

  /**
   * Arrowdownsitebar small.
   *
   * @return the image resource
   */
  @Source("arrowdownsitebar-small.gif")
  ImageResource arrowdownsitebarSmall();

  /**
   * Arrowdownsquarewhite.
   *
   * @return the image resource
   */
  @Source("arrowdownsquarewhite.gif")
  ImageResource arrowdownsquarewhite();

  /**
   * Arrow down white.
   *
   * @return the image resource
   */
  @Source("arrow-down-white.gif")
  ImageResource arrowDownWhite();

  /**
   * Arrow right black.
   *
   * @return the image resource
   */
  @Source("arrow-right-black.gif")
  ImageResource arrowRightBlack();

  /**
   * Browser32.
   *
   * @return the image resource
   */
  @Source("browser-32.png")
  ImageResource browser32();

  /**
   * Bug.
   *
   * @return the image resource
   */
  @Source("bug.png")
  ImageResource bug();

  /**
   * Bullet add.
   *
   * @return the image resource
   */
  @Source("bullet_add.png")
  ImageResource bulletAdd();

  /**
   * Bullet black.
   *
   * @return the image resource
   */
  @Source("bullet_black.png")
  ImageResource bulletBlack();

  /**
   * Bullet blue.
   *
   * @return the image resource
   */
  @Source("bullet_blue.png")
  ImageResource bulletBlue();

  /**
   * Bullet delete.
   *
   * @return the image resource
   */
  @Source("bullet_delete.png")
  ImageResource bulletDelete();

  /**
   * Bullet green.
   *
   * @return the image resource
   */
  @Source("bullet_green.png")
  ImageResource bulletGreen();

  /**
   * Bullet pink.
   *
   * @return the image resource
   */
  @Source("bullet_pink.png")
  ImageResource bulletPink();

  /**
   * Bullet purple.
   *
   * @return the image resource
   */
  @Source("bullet_purple.png")
  ImageResource bulletPurple();

  /**
   * Bullet red.
   *
   * @return the image resource
   */
  @Source("bullet_red.png")
  ImageResource bulletRed();

  /**
   * Bullet star.
   *
   * @return the image resource
   */
  @Source("bullet_star.png")
  ImageResource bulletStar();

  /**
   * Bullet toggle minus.
   *
   * @return the image resource
   */
  @Source("bullet_toggle_minus.png")
  ImageResource bulletToggleMinus();

  /**
   * Bullet toggle plus.
   *
   * @return the image resource
   */
  @Source("bullet_toggle_plus.png")
  ImageResource bulletTogglePlus();

  /**
   * Bullet yellow.
   *
   * @return the image resource
   */
  @Source("bullet_yellow.png")
  ImageResource bulletYellow();

  /**
   * Button arrow down.
   *
   * @return the image resource
   */
  @Source("button-arrow-down.png")
  ImageResource buttonArrowDown();

  /**
   * Button help blue.
   *
   * @return the image resource
   */
  @Source("button-help-blue.png")
  ImageResource buttonHelpBlue();

  /**
   * Button help dark.
   *
   * @return the image resource
   */
  @Source("button-help-dark.png")
  ImageResource buttonHelpDark();

  /**
   * Button help light.
   *
   * @return the image resource
   */
  @Source("button-help-light.png")
  ImageResource buttonHelpLight();

  /**
   * By80x15.
   *
   * @return the image resource
   */
  @Source("by80x15.png")
  ImageResource by80x15();

  /**
   * Bync80x15.
   *
   * @return the image resource
   */
  @Source("bync80x15.png")
  ImageResource bync80x15();

  /**
   * Byncnd80x15.
   *
   * @return the image resource
   */
  @Source("byncnd80x15.png")
  ImageResource byncnd80x15();

  /**
   * Byncsa80x15.
   *
   * @return the image resource
   */
  @Source("byncsa80x15.png")
  ImageResource byncsa80x15();

  /**
   * Bynd80x15.
   *
   * @return the image resource
   */
  @Source("bynd80x15.png")
  ImageResource bynd80x15();

  /**
   * Bysa80x15.
   *
   * @return the image resource
   */
  @Source("bysa80x15.png")
  ImageResource bysa80x15();

  /**
   * Cancel32.
   *
   * @return the image resource
   */
  @Source("cancel-32.png")
  ImageResource cancel32();

  /**
   * Cancel not used.
   *
   * @return the image resource
   */
  @Source("cancel.png")
  ImageResource cancelNotUsed();

  /**
   * Charfontname.
   *
   * @return the image resource
   */
  @Source("charfontname.png")
  ImageResource charfontname();

  /**
   * Chat dot available medium.
   *
   * @return the image resource
   */
  @Source("chat-dot-available-medium.png")
  ImageResource chatDotAvailableMedium();

  /**
   * Chat dot available small.
   *
   * @return the image resource
   */
  @Source("chat-dot-available-small.png")
  ImageResource chatDotAvailableSmall();

  /**
   * Chat dot away medium.
   *
   * @return the image resource
   */
  @Source("chat-dot-away-medium.png")
  ImageResource chatDotAwayMedium();

  /**
   * Chat dot away small.
   *
   * @return the image resource
   */
  @Source("chat-dot-away-small.png")
  ImageResource chatDotAwaySmall();

  /**
   * Chat dot busy medium.
   *
   * @return the image resource
   */
  @Source("chat-dot-busy-medium.png")
  ImageResource chatDotBusyMedium();

  /**
   * Chat dot busy small.
   *
   * @return the image resource
   */
  @Source("chat-dot-busy-small.png")
  ImageResource chatDotBusySmall();

  /**
   * Chat dot extended away medium.
   *
   * @return the image resource
   */
  @Source("chat-dot-extended-away-medium.png")
  ImageResource chatDotExtendedAwayMedium();

  /**
   * Chat dot extended away small.
   *
   * @return the image resource
   */
  @Source("chat-dot-extended-away-small.png")
  ImageResource chatDotExtendedAwaySmall();

  /**
   * Chat dot invisible medium.
   *
   * @return the image resource
   */
  @Source("chat-dot-invisible-medium.png")
  ImageResource chatDotInvisibleMedium();

  /**
   * Chat dot invisible small.
   *
   * @return the image resource
   */
  @Source("chat-dot-invisible-small.png")
  ImageResource chatDotInvisibleSmall();

  /**
   * Chat dot offline medium.
   *
   * @return the image resource
   */
  @Source("chat-dot-offline-medium.png")
  ImageResource chatDotOfflineMedium();

  /**
   * Chat dot offline small.
   *
   * @return the image resource
   */
  @Source("chat-dot-offline-small.png")
  ImageResource chatDotOfflineSmall();

  /* (non-Javadoc)
   * @see cc.kune.common.client.resources.CommonResources#clear()
   */
  @Override
  @Source("clear.png")
  ImageResource clear();

  /**
   * Copy.
   *
   * @return the image resource
   */
  @Source("copy.png")
  ImageResource copy();

  /**
   * Core css.
   *
   * @return the core style
   */
  @Source("core.css")
  CoreStyle coreCss();

  /**
   * Cross.
   *
   * @return the image resource
   */
  @Source("cross.png")
  ImageResource cross();

  /**
   * Cross dark.
   *
   * @return the image resource
   */
  @Source("cross-dark.png")
  ImageResource crossDark();

  /**
   * Emblem important.
   *
   * @return the image resource
   */
  @Source("emblem-important.png")
  ImageResource emblemImportant();

  /**
   * Everybody.
   *
   * @return the image resource
   */
  @Source("everybody.png")
  ImageResource everybody();

  /**
   * Folderpathmenu.
   *
   * @return the image resource
   */
  @Source("folderpathmenu.gif")
  ImageResource folderpathmenu();

  /**
   * Fontheight.
   *
   * @return the image resource
   */
  @Source("fontheight.png")
  ImageResource fontheight();

  /**
   * Gnu fdl.
   *
   * @return the image resource
   */
  @Source("gnu-fdl.gif")
  ImageResource gnuFdl();

  /**
   * Info light.
   *
   * @return the image resource
   */
  @Source("info-light.png")
  ImageResource infoLight();

  /* (non-Javadoc)
   * @see cc.kune.common.client.resources.CommonResources#kuneClose()
   */
  @Override
  @Source("kune-close.png")
  ImageResource kuneClose();

  /**
   * Kuneicon16.
   *
   * @return the image resource
   */
  @Source("kuneicon16.gif")
  ImageResource kuneicon16();

  /**
   * Kune icon16.
   *
   * @return the image resource
   */
  @Source("kune-icon16.png")
  ImageResource kuneIcon16();

  /**
   * Kune logo16px.
   *
   * @return the image resource
   */
  @Source("kune-logo-16px.png")
  ImageResource kuneLogo16px();

  /**
   * Kune search ico.
   *
   * @return the image resource
   */
  @Source("kune-search-ico.png")
  ImageResource kuneSearchIco();

  /**
   * Kune search ico push.
   *
   * @return the image resource
   */
  @Source("kune-search-ico-push.png")
  ImageResource kuneSearchIcoPush();

  /**
   * Language.
   *
   * @return the image resource
   */
  @Source("language.png")
  ImageResource language();

  /**
   * Loading gadget.
   *
   * @return the image resource
   */
  @Source("loading_gadget.gif")
  ImageResource loadingGadget();

  /**
   * Loading gadget small.
   *
   * @return the image resource
   */
  @Source("loading_gadget_small.gif")
  ImageResource loadingGadgetSmall();

  /**
   * Loading spiner.
   *
   * @return the image resource
   */
  @Source("loading-spiner.gif")
  ImageResource loadingSpiner();

  /**
   * Nobody.
   *
   * @return the image resource
   */
  @Source("nobody.png")
  ImageResource nobody();

  /**
   * Nt.
   *
   * @return the image resource
   */
  @Source("nt.png")
  ImageResource nt();

  /**
   * Opentriangle.
   *
   * @return the image resource
   */
  @Source("opentriangle.gif")
  ImageResource opentriangle();

  /**
   * Question32.
   *
   * @return the image resource
   */
  @Source("question32.png")
  ImageResource question32();

  /**
   * Radiochecked.
   *
   * @return the image resource
   */
  @Source("radiochecked.png")
  ImageResource radiochecked();

  /* (non-Javadoc)
   * @see cc.kune.common.client.resources.CommonResources#radioUnChecked()
   */
  @Override
  @Source("radiounchecked.png")
  ImageResource radioUnChecked();

  /**
   * Rss icon.
   *
   * @return the image resource
   */
  @Source("rss-icon.png")
  ImageResource rssIcon();

  /**
   * Search ico.
   *
   * @return the image resource
   */
  @Source("search-ico.png")
  ImageResource searchIco();

  /**
   * Splitter vert bar.
   *
   * @return the image resource
   */
  @Source("splitter-vert-bar.gif")
  ImageResource splitterVertBar();

  /**
   * Star10.
   *
   * @return the image resource
   */
  @Source("star-10.png")
  ImageResource star10();

  /**
   * Star20.
   *
   * @return the image resource
   */
  @Source("star-20.png")
  ImageResource star20();

  /**
   * Star30.
   *
   * @return the image resource
   */
  @Source("star-30.png")
  ImageResource star30();

  /**
   * Star40.
   *
   * @return the image resource
   */
  @Source("star-40.png")
  ImageResource star40();

  /**
   * Star50.
   *
   * @return the image resource
   */
  @Source("star-50.png")
  ImageResource star50();

  /**
   * Star60.
   *
   * @return the image resource
   */
  @Source("star-60.png")
  ImageResource star60();

  /**
   * Star70.
   *
   * @return the image resource
   */
  @Source("star-70.png")
  ImageResource star70();

  /**
   * Star80.
   *
   * @return the image resource
   */
  @Source("star-80.png")
  ImageResource star80();

  /**
   * Star90.
   *
   * @return the image resource
   */
  @Source("star-90.png")
  ImageResource star90();

  /**
   * Star grey.
   *
   * @return the image resource
   */
  @Source("star-grey.png")
  ImageResource starGrey();

  /**
   * Star small yellow.
   *
   * @return the image resource
   */
  @Source("star-small-yellow.png")
  ImageResource starSmallYellow();

  /**
   * Star vsmall yellow.
   *
   * @return the image resource
   */
  @Source("star-vsmall-yellow.png")
  ImageResource starVsmallYellow();

  /**
   * Star yellow.
   *
   * @return the image resource
   */
  @Source("star-yellow.png")
  ImageResource starYellow();

  /**
   * Step1.
   *
   * @return the image resource
   */
  @Source("step1.png")
  ImageResource step1();

  /**
   * Step2.
   *
   * @return the image resource
   */
  @Source("step2.png")
  ImageResource step2();

  /**
   * Step3.
   *
   * @return the image resource
   */
  @Source("step3.png")
  ImageResource step3();

  /**
   * Step4.
   *
   * @return the image resource
   */
  @Source("step4.png")
  ImageResource step4();

  /**
   * Step5.
   *
   * @return the image resource
   */
  @Source("step5.png")
  ImageResource step5();

  /**
   * Theme choose not used.
   *
   * @return the image resource
   */
  @Source("theme-choose.png")
  ImageResource themeChooseNotUsed();

  /**
   * Triangle.
   *
   * @return the image resource
   */
  @Source("triangle.gif")
  ImageResource triangle();

  /**
   * Unknown60.
   *
   * @return the image resource
   */
  @Source("unknown-60.png")
  ImageResource unknown60();

  /**
   * Wave icon.
   *
   * @return the image resource
   */
  @Source("wave-icon.png")
  ImageResource waveIcon();

}
