/*
 *
 * Copyright (C) 2007-2013 Licensed to the Comunes Association (CA) under
 * one or more contributor license agreements (see COPYRIGHT for details).
 * The CA licenses this file to you under the GNU Affero General Public
 * License version 3, (the "License"); you may not use this file except in
 * compliance with the License. This file is part of kune.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package cc.kune.core.client.resources.iconic;

import com.google.gwt.resources.client.ClientBundle;
import com.google.gwt.resources.client.ImageResource;

// TODO: Auto-generated Javadoc
/**
 * The Interface IconicResources.
 *
 * @author vjrj@ourproject.org (Vicente J. Ruiz Jurado)
 */
public interface IconicResources extends ClientBundle {

  /**
   * Adds the.
   *
   * @return the image resource
   */
  @Source("add.png")
  ImageResource add();

  /**
   * Alert.
   *
   * @return the image resource
   */
  @Source("alert.png")
  ImageResource alert();

  /**
   * Barters add.
   *
   * @return the image resource
   */
  @Source("barters-add.png")
  ImageResource bartersAdd();

  /**
   * Barters grey.
   *
   * @return the image resource
   */
  @Source("barters-g.png")
  ImageResource bartersGrey();

  /**
   * Barters white.
   *
   * @return the image resource
   */
  @Source("barters.png")
  ImageResource bartersWhite();

  /**
   * Blog post add.
   *
   * @return the image resource
   */
  @Source("blog-posts-add.png")
  ImageResource blogPostAdd();

  /**
   * Blog posts grey.
   *
   * @return the image resource
   */
  @Source("blog-posts-g.png")
  ImageResource blogPostsGrey();

  /**
   * Blog posts white.
   *
   * @return the image resource
   */
  @Source("blog-posts.png")
  ImageResource blogPostsWhite();

  /**
   * Blogs add.
   *
   * @return the image resource
   */
  @Source("blogs-add.png")
  ImageResource blogsAdd();

  /**
   * Blogs grey.
   *
   * @return the image resource
   */
  @Source("blogs-g.png")
  ImageResource blogsGrey();

  /**
   * Blogs white.
   *
   * @return the image resource
   */
  @Source("blogs.png")
  ImageResource blogsWhite();

  /**
   * Chats add.
   *
   * @return the image resource
   */
  @Source("chats-add.png")
  ImageResource chatsAdd();

  /**
   * Chats grey.
   *
   * @return the image resource
   */
  @Source("chats-g.png")
  ImageResource chatsGrey();

  /**
   * Chats white.
   *
   * @return the image resource
   */
  @Source("chats.png")
  ImageResource chatsWhite();

  /**
   * Copyleft grey.
   *
   * @return the image resource
   */
  @Source("copyleft-g.png")
  ImageResource copyleftGrey();

  /**
   * Copyleft white.
   *
   * @return the image resource
   */
  @Source("copyleft.png")
  ImageResource copyleftWhite();

  /**
   * Del.
   *
   * @return the image resource
   */
  @Source("del.png")
  ImageResource del();

  /**
   * Docs add.
   *
   * @return the image resource
   */
  @Source("docs-add.png")
  ImageResource docsAdd();

  /**
   * Docs grey.
   *
   * @return the image resource
   */
  @Source("docs-g.png")
  ImageResource docsGrey();

  /**
   * Docs root grey.
   *
   * @return the image resource
   */
  @Source("docs-root-g.png")
  ImageResource docsRootGrey();

  /**
   * Docs root white.
   *
   * @return the image resource
   */
  @Source("docs-root.png")
  ImageResource docsRootWhite();

  /**
   * Docs white.
   *
   * @return the image resource
   */
  @Source("docs.png")
  ImageResource docsWhite();

  /**
   * Down arrow.
   *
   * @return the image resource
   */
  @Source("down-arrow.png")
  ImageResource downArrow();

  /**
   * Edits the grey.
   *
   * @return the image resource
   */
  @Source("edit-g.png")
  ImageResource editGrey();

  /**
   * Equalizer grey.
   *
   * @return the image resource
   */
  @Source("equalizer-g.png")
  ImageResource equalizerGrey();

  /**
   * Equalizer white.
   *
   * @return the image resource
   */
  @Source("equalizer.png")
  ImageResource equalizerWhite();

  /**
   * Event add.
   *
   * @return the image resource
   */
  @Source("event-add.png")
  ImageResource eventAdd();

  /**
   * Event grey.
   *
   * @return the image resource
   */
  @Source("event-g.png")
  ImageResource eventGrey();

  /**
   * Events grey.
   *
   * @return the image resource
   */
  @Source("events-g.png")
  ImageResource eventsGrey();

  /**
   * Events white.
   *
   * @return the image resource
   */
  @Source("events.png")
  ImageResource eventsWhite();

  /**
   * Event white.
   *
   * @return the image resource
   */
  @Source("event.png")
  ImageResource eventWhite();

  /**
   * Facebook.
   *
   * @return the image resource
   */
  @Source("facebook.png")
  ImageResource facebook();

  /**
   * Folder add.
   *
   * @return the image resource
   */
  @Source("folder-add.png")
  ImageResource folderAdd();

  /**
   * Folder grey.
   *
   * @return the image resource
   */
  @Source("folder-g.png")
  ImageResource folderGrey();

  /**
   * Folder white.
   *
   * @return the image resource
   */
  @Source("folder.png")
  ImageResource folderWhite();

  /**
   * Forbiden.
   *
   * @return the image resource
   */
  @Source("forbiden.png")
  ImageResource forbiden();

  /**
   * Google plus.
   *
   * @return the image resource
   */
  @Source("g-plus.png")
  ImageResource googlePlus();

  /**
   * Home.
   *
   * @return the image resource
   */
  @Source("home.png")
  ImageResource home();

  /**
   * Identica.
   *
   * @return the image resource
   */
  @Source("identica.png")
  ImageResource identica();

  /**
   * Info.
   *
   * @return the image resource
   */
  @Source("info.png")
  ImageResource info();

  /**
   * Kune.
   *
   * @return the image resource
   */
  @Source("kune.png")
  ImageResource kune();

  /**
   * Left arrow.
   *
   * @return the image resource
   */
  @Source("left-arrow.png")
  ImageResource leftArrow();

  /**
   * Lists add.
   *
   * @return the image resource
   */
  @Source("lists-add.png")
  ImageResource listsAdd();

  /**
   * Lists grey.
   *
   * @return the image resource
   */
  @Source("lists-g.png")
  ImageResource listsGrey();

  /**
   * Lists post add.
   *
   * @return the image resource
   */
  @Source("lists-post-add.png")
  ImageResource listsPostAdd();

  /**
   * Lists post grey.
   *
   * @return the image resource
   */
  @Source("lists-post-g.png")
  ImageResource listsPostGrey();

  /**
   * Lists post white.
   *
   * @return the image resource
   */
  @Source("lists-post.png")
  ImageResource listsPostWhite();

  /**
   * Lists white.
   *
   * @return the image resource
   */
  @Source("lists.png")
  ImageResource listsWhite();

  /**
   * Lock grey.
   *
   * @return the image resource
   */
  @Source("lock-g.png")
  ImageResource lockGrey();

  /**
   * Lock white.
   *
   * @return the image resource
   */
  @Source("lock.png")
  ImageResource lockWhite();

  /**
   * Maximize.
   *
   * @return the image resource
   */
  @Source("maximize.png")
  ImageResource maximize();

  /**
   * Minimize.
   *
   * @return the image resource
   */
  @Source("minimize.png")
  ImageResource minimize();

  /**
   * Mobile.
   *
   * @return the image resource
   */
  @Source("mobile.png")
  ImageResource mobile();

  /**
   * Move.
   *
   * @return the image resource
   */
  @Source("move.png")
  ImageResource move();

  /**
   * No copyleft grey.
   *
   * @return the image resource
   */
  @Source("no-copyleft-g.png")
  ImageResource noCopyleftGrey();

  /**
   * No copyleft white.
   *
   * @return the image resource
   */
  @Source("no-copyleft.png")
  ImageResource noCopyleftWhite();

  /**
   * Picture add.
   *
   * @return the image resource
   */
  @Source("picture-add.png")
  ImageResource pictureAdd();

  /**
   * Picture grey.
   *
   * @return the image resource
   */
  @Source("picture-g.png")
  ImageResource pictureGrey();

  /**
   * Picture white.
   *
   * @return the image resource
   */
  @Source("picture.png")
  ImageResource pictureWhite();

  /**
   * Prefs.
   *
   * @return the image resource
   */
  @Source("prefs.png")
  ImageResource prefs();

  /**
   * Refreh.
   *
   * @return the image resource
   */
  @Source("refresh.png")
  ImageResource refreh();

  /**
   * Refresh.
   *
   * @return the image resource
   */
  @Source("refresh.png")
  ImageResource refresh();

  /**
   * Right arrow.
   *
   * @return the image resource
   */
  @Source("right-arrow.png")
  ImageResource rightArrow();

  /**
   * Style grey.
   *
   * @return the image resource
   */
  @Source("style-g.png")
  ImageResource styleGrey();

  /**
   * Style white.
   *
   * @return the image resource
   */
  @Source("style.png")
  ImageResource styleWhite();

  /**
   * Task done.
   *
   * @return the image resource
   */
  @Source("task-done.png")
  ImageResource taskDone();

  /**
   * Tasks add.
   *
   * @return the image resource
   */
  @Source("tasks-add.png")
  ImageResource tasksAdd();

  /**
   * Tasks folder add.
   *
   * @return the image resource
   */
  @Source("tasks-folder-add.png")
  ImageResource tasksFolderAdd();

  /**
   * Tasks folder grey.
   *
   * @return the image resource
   */
  @Source("tasks-folder-g.png")
  ImageResource tasksFolderGrey();

  /**
   * Tasks folder white.
   *
   * @return the image resource
   */
  @Source("tasks-folder.png")
  ImageResource tasksFolderWhite();

  /**
   * Tasks grey.
   *
   * @return the image resource
   */
  @Source("tasks-g.png")
  ImageResource tasksGrey();

  /**
   * Tasks new.
   *
   * @return the image resource
   */
  @Source("task-new.png")
  ImageResource tasksNew();

  /**
   * Tasks white.
   *
   * @return the image resource
   */
  @Source("tasks.png")
  ImageResource tasksWhite();

  /**
   * Tools grey.
   *
   * @return the image resource
   */
  @Source("tools-g.png")
  ImageResource toolsGrey();

  /**
   * Tools white.
   *
   * @return the image resource
   */
  @Source("tools.png")
  ImageResource toolsWhite();

  /**
   * Trash grey.
   *
   * @return the image resource
   */
  @Source("trash-g.png")
  ImageResource trashGrey();

  /**
   * Trash white.
   *
   * @return the image resource
   */
  @Source("trash.png")
  ImageResource trashWhite();

  /**
   * Twitter.
   *
   * @return the image resource
   */
  @Source("twitter.png")
  ImageResource twitter();

  /**
   * Undo.
   *
   * @return the image resource
   */
  @Source("undo.png")
  ImageResource undo();

  /**
   * Up arrow.
   *
   * @return the image resource
   */
  @Source("up-arrow.png")
  ImageResource upArrow();

  /**
   * Wikis add.
   *
   * @return the image resource
   */
  @Source("wikis-add.png")
  ImageResource wikisAdd();

  /**
   * Wikis folder add.
   *
   * @return the image resource
   */
  @Source("wikis-folder-add.png")
  ImageResource wikisFolderAdd();

  /**
   * Wikis folder grey.
   *
   * @return the image resource
   */
  @Source("wikis-folder-g.png")
  ImageResource wikisFolderGrey();

  /**
   * Wikis folder white.
   *
   * @return the image resource
   */
  @Source("wikis-folder.png")
  ImageResource wikisFolderWhite();

  /**
   * Wikis grey.
   *
   * @return the image resource
   */
  @Source("wikis-g.png")
  ImageResource wikisGrey();

  /**
   * Wikis white.
   *
   * @return the image resource
   */
  @Source("wikis.png")
  ImageResource wikisWhite();

  /**
   * World.
   *
   * @return the image resource
   */
  @Source("world.png")
  ImageResource world();

  /**
   * Write.
   *
   * @return the image resource
   */
  @Source("write.png")
  ImageResource write();
}
