/*
 *
 * Copyright (C) 2007-2013 Licensed to the Comunes Association (CA) under 
 * one or more contributor license agreements (see COPYRIGHT for details).
 * The CA licenses this file to you under the GNU Affero General Public 
 * License version 3, (the "License"); you may not use this file except in 
 * compliance with the License. This file is part of kune.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package net.auroris.ColorPicker.client.images;

import com.google.gwt.resources.client.ClientBundle;
import com.google.gwt.resources.client.ImageResource;

// TODO: Auto-generated Javadoc
/* Images for the ColorPicker
    Copyright (c) 2007 John Dyer (http://johndyer.name)

    Permission is hereby granted, free of charge, to any person
    obtaining a copy of this software and associated documentation
    files (the "Software"), to deal in the Software without
    restriction, including without limitation the rights to use,
    copy, modify, merge, publish, distribute, sublicense, and/or sell
    copies of the Software, and to permit persons to whom the
    Software is furnished to do so, subject to the following
    conditions:

    The above copyright notice and this permission notice shall be
    included in all copies or substantial portions of the Software.

    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
    EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
    OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
    NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
    HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
    WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
    FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
    OTHER DEALINGS IN THE SOFTWARE.
    */
/**
 * The Interface ColorPickerImageResource.
 *
 * @author vjrj@ourproject.org (Vicente J. Ruiz Jurado)
 */
public interface ColorPickerImageResource extends ClientBundle
{
    
    /**
     * Bar_blue_bl.
     *
     * @return the image resource
     */
    public ImageResource bar_blue_bl();
    
    /**
     * Bar_blue_br.
     *
     * @return the image resource
     */
    public ImageResource bar_blue_br();
    
    /**
     * Bar_blue_tl.
     *
     * @return the image resource
     */
    public ImageResource bar_blue_tl();
    
    /**
     * Bar_blue_tr.
     *
     * @return the image resource
     */
    public ImageResource bar_blue_tr();
    
    /**
     * Bar_brightness.
     *
     * @return the image resource
     */
    public ImageResource bar_brightness();
    
    /**
     * Bar_green_bl.
     *
     * @return the image resource
     */
    public ImageResource bar_green_bl();
    
    /**
     * Bar_green_br.
     *
     * @return the image resource
     */
    public ImageResource bar_green_br();
    
    /**
     * Bar_green_tl.
     *
     * @return the image resource
     */
    public ImageResource bar_green_tl();
    
    /**
     * Bar_green_tr.
     *
     * @return the image resource
     */
    public ImageResource bar_green_tr();
    
    /**
     * Bar_red_bl.
     *
     * @return the image resource
     */
    public ImageResource bar_red_bl();
    
    /**
     * Bar_red_br.
     *
     * @return the image resource
     */
    public ImageResource bar_red_br();
    
    /**
     * Bar_red_tl.
     *
     * @return the image resource
     */
    public ImageResource bar_red_tl();
    
    /**
     * Bar_red_tr.
     *
     * @return the image resource
     */
    public ImageResource bar_red_tr();
    
    /**
     * Bar_saturation.
     *
     * @return the image resource
     */
    public ImageResource bar_saturation();
    
    /**
     * Bar_hue.
     *
     * @return the image resource
     */
    public ImageResource bar_hue();
    
    /**
     * Bar_white.
     *
     * @return the image resource
     */
    public ImageResource bar_white();
    
    /**
     * Rangearrows.
     *
     * @return the image resource
     */
    public ImageResource rangearrows();
    
    /**
     * Map_blue_max.
     *
     * @return the image resource
     */
    public ImageResource map_blue_max();
    
    /**
     * Map_blue_min.
     *
     * @return the image resource
     */
    public ImageResource map_blue_min();
    
    /**
     * Map_brightness.
     *
     * @return the image resource
     */
    public ImageResource map_brightness();
    
    /**
     * Map_green_max.
     *
     * @return the image resource
     */
    public ImageResource map_green_max();
    
    /**
     * Map_green_min.
     *
     * @return the image resource
     */
    public ImageResource map_green_min();
    
    /**
     * Map_hue.
     *
     * @return the image resource
     */
    public ImageResource map_hue();
    
    /**
     * Mappoint.
     *
     * @return the image resource
     */
    public ImageResource mappoint();
    
    /**
     * Map_red_max.
     *
     * @return the image resource
     */
    public ImageResource map_red_max();
    
    /**
     * Map_red_min.
     *
     * @return the image resource
     */
    public ImageResource map_red_min();
    
    /**
     * Map_saturation.
     *
     * @return the image resource
     */
    public ImageResource map_saturation();
    
    /**
     * Map_saturation_overlay.
     *
     * @return the image resource
     */
    public ImageResource map_saturation_overlay();
    
    /**
     * Map_white.
     *
     * @return the image resource
     */
    public ImageResource map_white();
}